SyntheticResultSet
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class SyntheticResultSet

    java.lang.Object
      org.postgresql.pljava.jdbc.AbstractResultSet
          org.postgresql.pljava.jdbc.ObjectResultSet
              org.postgresql.pljava.jdbc.ReadOnlyResultSet
                  org.postgresql.pljava.jdbc.SyntheticResultSet

All Implemented Interfaces:
  java.sql.ResultSet, java.sql.Wrapper

    public class SyntheticResultSet

extends ReadOnlyResultSet

A Synthetic ResultSet that provides direct access to data stored in a `ArrayList`. This kind of ResultSet has nothing common with any statement.

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Method Summary
`boolean` | `absolute(int row)` Cursor positioning is not implemented yet.
`void` | `afterLast()` Cursor positoning is not implemented yet.
`void` | `beforeFirst()` Cursor positoning is not implemented yet.
`void` | `close()`
`int` | `findColumn(java.lang.String columnName)`
`boolean` | `first()` Cursor positioning is not implemented yet.
`protected java.lang.Object[]` | `getCurrentRow()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`java.sql.ResultSetMetaData` | `getMetaData()` ResultSetMetaData is not yet supported.
`protected java.lang.Object` | `getObjectValue(int columnIndex)`
`int` | `getRow()`
`int` | `getType()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `last()` Cursor positioning is not implemented yet.
`boolean` | `next()`
`boolean` | `previous()` Reverse positioning is not implemented yet.
`boolean` | `relative(int rows)` Cursor positioning is not implemented yet.
`void` | `setFetchDirection(int direction)` Only `ResultSet.FETCH_FORWARD` is supported.
`void` | `setFetchSize(int fetchSize)`

Methods inherited from class org.postgresql.pljava.jdbc.ReadOnlyResultSet
`cancelRowUpdates, deleteRow, getConcurrency, insertRow, moveToCurrentRow, moveToInsertRow, rowDeleted, rowInserted, rowUpdated, updateObject, updateObject, updateRow`

Methods inherited from class org.postgresql.pljava.jdbc.ObjectResultSet
`clearWarnings, getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getDate, getDouble, getFloat, getInt, getLong, getNumber, getObject, getObject, getObjectValue, getRef, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getURL, getValue, getValue, getWarnings, refreshRow, updateArray, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNull, updateRef, updateShort, updateString, updateTime, updateTimestamp, wasNull`

Methods inherited from class org.postgresql.pljava.jdbc.AbstractResultSet
`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getCursorName, getDate, getDate, getDouble, getFloat, getHoldability, getInt, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRef, getRowId, getRowId, getShort, getSQLXML, getSQLXML, getStatement, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getURL, isClosed, isWrapperFor, unwrap, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateObject, updateObject, updateRef, updateRowId, updateRowId, updateShort, updateSQLXML, updateSQLXML, updateString, updateTime, updateTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### findColumn

    public int findColumn(java.lang.String columnName)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getObjectValue

    protected java.lang.Object getObjectValue(int columnIndex)
                                       throws java.sql.SQLException

  Specified by:
    `getObjectValue` in class `ObjectResultSet`
  Throws:
    `java.sql.SQLException`

### getCurrentRow

    protected final java.lang.Object[] getCurrentRow()
                                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### next

    public boolean next()
                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Description copied from class: `ObjectResultSet`
  ResultSetMetaData is not yet supported.

  Specified by:
    `getMetaData` in interface `java.sql.ResultSet`
  Overrides:
    `getMetaData` in class `ObjectResultSet`
  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFetchSize

    public final int getFetchSize()
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getRow

    public final int getRow()
                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getType

    public int getType()
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  Cursor positoning is not implemented yet.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  Cursor positoning is not implemented yet.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### first

    public boolean first()
                  throws java.sql.SQLException

  Cursor positioning is not implemented yet.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### last

    public boolean last()
                 throws java.sql.SQLException

  Cursor positioning is not implemented yet.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### previous

    public boolean previous()
                     throws java.sql.SQLException

  Reverse positioning is not implemented yet.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  Cursor positioning is not implemented yet.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### relative

    public boolean relative(int rows)
                     throws java.sql.SQLException

  Cursor positioning is not implemented yet.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Only `ResultSet.FETCH_FORWARD` is supported.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported for other values on `direction`.

### setFetchSize

    public void setFetchSize(int fetchSize)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT